## php-phpdocumentor-reflection-docblock 5.2.2

=== Makefile ===
.PHONY: install-phive
install-phive:
	mkdir tools; \
	wget -O tools/phive.phar https://phar.io/releases/phive.phar; \
	wget -O tools/phive.phar.asc https://phar.io/releases/phive.phar.asc; \
	gpg --keyserver pool.sks-keyservers.net --recv-keys 0x9D8A98B29B2D5D79; \
	gpg --verify tools/phive.phar.asc tools/phive.phar; \
	chmod +x tools/phive.phar

.PHONY: setup
setup: install-phive
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phar-ga:latest php tools/phive.phar install --force-accept-unsigned

.PHONY: phpcs
phpcs:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpcs-ga:latest -s

.PHONY: phpcbf
phpcbf:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpcs-ga:latest phpcbf

.PHONY: phpstan
phpstan:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpstan-ga:latest analyse src --no-progress --configuration phpstan.neon

.PHONY: psalm
psalm:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.2 tools/psalm

.PHONY: test
test:
	docker run -it --rm -v${CURDIR}:/github/workspace phpdoc/phpunit-ga
	docker run -it --rm -v${CURDIR}:/data -w /data php:7.2 -f ./tests/coverage-checker.php 90

.PHONY: pre-commit-test
pre-commit-test: test phpcs phpstan psalm

## php-phpdocumentor-reflection-docblock 2.0.4

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (2.0.4-2) unstable; urgency=medium

  * Track version 2
  * Simplify test calls
  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Tue, 22 Mar 2016 17:01:37 -0400

php-phpdocumentor-reflection-docblock (2.0.4-1) unstable; urgency=low

  * Initial release

 -- David Prévot <taffit@debian.org>  Tue, 10 Feb 2015 14:15:13 -0400

=== debian/control ===
Source: php-phpdocumentor-reflection-docblock
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9),
               php-symfony-class-loader,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.7
Homepage: http://phpdoc.org/
Vcs-Git: git://anonscm.debian.org/pkg-php/php-phpdocumentor-reflection-docblock.git -b v2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-phpdocumentor-reflection-docblock.git

Package: php-phpdocumentor-reflection-docblock
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: DocBlock parser - phpDocumentor component
 The ReflectionDocBlock component of phpDocumentor provides a DocBlock parser
 that is 100% compatible with the PHPDoc standard.
 .
 With this component, a library can provide support for annotations via
 DocBlocks or otherwise retrieve information that is embedded in a DocBlock.
 .
 phpDocumentor makes it possible to generate documentation from PHP source code.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	phpab	--output src/phpDocumentor/Reflection/DocBlock/autoload.php \
		--basedir src/phpDocumentor/Reflection/DocBlock src

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --bootstrap src/phpDocumentor/Reflection/DocBlock/autoload.php
else
	@echo "** tests disabled"
endif

get-orig-source:
	uscan --force --verbose --rename

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/phpDocumentor/Reflection/DocBlock/autoload.php
Depends: @, phpunit

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/ \
https://github.com/phpDocumentor/ReflectionDocBlock/releases \
.*/archive/v?(2.+).tar.gz

## php-phpdocumentor-reflection-docblock 4.2.0

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (4.2.0-2) unstable; urgency=medium

  * Upload to unstable in sync with symfony

 -- David Prévot <taffit@debian.org>  Thu, 30 Nov 2017 15:05:17 -1000

php-phpdocumentor-reflection-docblock (4.2.0-1) experimental; urgency=medium

  [ Tomáš Votruba ]
  * DocBlock: add removeTag() method

  [ Gabriel Caruso ]
  * Use PHPUnit\Framework\TestCase instead of PHPUnit_Framework_TestCase

  [ David Prévot ]
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Wed, 29 Nov 2017 18:40:40 -1000

php-phpdocumentor-reflection-docblock (4.1.1-1) experimental; urgency=medium

  [ Jaapio ]
  * Upgrades type-resolver to 0.4.0

  [ David Prévot ]
  * Drop examples not provided upstream anymore
  * Drop testsuite removed upstream
  * Drop now useless patches
  * Update Standards-Version to 4.1.0
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Mon, 04 Sep 2017 21:56:34 -1000

php-phpdocumentor-reflection-docblock (3.1.0-1) experimental; urgency=medium

  [ Hidde Boomsma ]
  * Allow typed arrays in @method annotation.
  * Void is a reserved keyword in PHP7.1.

  [ Sullivan SENECHAL ]
  * Fix missing Example::__toString method

  [ David Prévot ]
  * Add upstream changelog
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Sat, 11 Jun 2016 12:54:18 -0400

php-phpdocumentor-reflection-docblock (3.0.1-1) experimental; urgency=medium

  [ David Prévot ]
  * Activate the test suite since php-mockery is now available
  * Update Standards-Version to 3.9.7

  [ Mike van Riel ]
  * Add aliases for Context class because newer phpunit versions have a global
    Context class

 -- David Prévot <taffit@debian.org>  Fri, 26 Feb 2016 20:58:36 -0400

php-phpdocumentor-reflection-docblock (3.0.0-1) experimental; urgency=medium

  * Upload to experimental since php-phpspec-prophecy currently (as of
    1.5.0-1) depends on php-phpdocumentor-reflection-docblock (<< 3~~)

  [ Willem Stuursma ]
  * Add mandatory description element to composer.json

  [ David Prévot ]
  * Adapt packaging to new version
  * Drop the testsuite that relies on php-mockery not yet in Debian
  * Update copyright

 -- David Prévot <taffit@debian.org>  Mon, 01 Feb 2016 14:56:11 -0400

=== debian/control ===
Source: php-phpdocumentor-reflection-docblock
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
Standards-Version: 4.1.1
Homepage: http://phpdoc.org/
Vcs-Git: git://anonscm.debian.org/pkg-php/php-phpdocumentor-reflection-docblock.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-phpdocumentor-reflection-docblock.git

Package: php-phpdocumentor-reflection-docblock
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: DocBlock parser - phpDocumentor component
 The ReflectionDocBlock component of phpDocumentor provides a DocBlock parser
 that is 100% compatible with the PHPDoc standard.
 .
 ${phpcomposer:description}.
 .
 phpDocumentor makes it possible to generate documentation from PHP source code.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	phpab \
		--template debian/autoload.php.tpl \
		--output src/DocBlock/autoload.php \
		--basedir src/DocBlock src

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

get-orig-source:
	uscan --force --verbose --rename

## php-phpdocumentor-reflection-docblock 4.3.0

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (4.3.0-1) unstable; urgency=medium

  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Mon, 05 Mar 2018 21:59:16 -1000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://phpdoc.org/
-Vcs-Git: git://anonscm.debian.org/pkg-php/php-phpdocumentor-reflection-docblock.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-phpdocumentor-reflection-docblock.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git
+Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock
 
 Package: php-phpdocumentor-reflection-docblock
 Architecture: all

## php-phpdocumentor-reflection-docblock 4.3.3

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (4.3.3-1) unstable; urgency=medium

  [ Corey Taylor ]
  * Fixed @method annotations with an empty argument list and description

  [ David Prévot ]
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit
  * d/control: Drop versioned dependency satisfied in (old)stable

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2019 07:50:58 +1100

php-phpdocumentor-reflection-docblock (4.3.2-1) unstable; urgency=medium

  * Document gbp import-ref usage
  * Track version 4
  * Update Standards-Version to 4.1.4
  * Revert "Drop examples not provided upstream anymore"
  * Adapt packaging to restored tests
  * Use https in debian/
  * Use debhelper-compat 12
  * Drop get-orig-source target
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Sun, 29 Sep 2019 15:01:42 -1000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,16 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
-Standards-Version: 4.1.3
-Homepage: http://phpdoc.org/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git
+Build-Depends: debhelper-compat (= 12),
+               php-mockery,
+               php-phpdocumentor-type-resolver,
+               php-webmozart-assert,
+               phpab,
+               phpunit,
+               pkg-php-tools
+Standards-Version: 4.4.1
+Homepage: https://phpdoc.org/
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git -b v4
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock
 
 Package: php-phpdocumentor-reflection-docblock

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	phpab \
		--template debian/autoload.php.tpl \
		--output src/DocBlock/autoload.php \
		--basedir src/DocBlock src
	# Mimic path for tests
	mkdir --parents phpDocumentor/Reflection
	ln -s ../../src/DocBlock phpDocumentor/Reflection

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --bootstrap debian/autoload.php
else
	@echo "** tests disabled"
endif

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

=== debian/tests/control ===
Test-Command: phpunit --bootstrap debian/autoload.php
Depends: php-mockery, phpunit, @

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/ \
https://github.com/phpDocumentor/ReflectionDocBlock/releases \
.*/archive/v?(4.+).tar.gz

## php-phpdocumentor-reflection-docblock 5.0.0~alpha1

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.0.0~alpha1-1) experimental; urgency=medium

  * Upload alpha to experimental

  [ Gabriel Caruso ]
  * Welcome 2018 :tada:

  [ David Prévot ]
  * Update copyright (years)
  * Make version constraint readable to dh_phpcomposer

 -- David Prévot <taffit@debian.org>  Mon, 05 Mar 2018 23:15:35 -1000

## php-phpdocumentor-reflection-docblock 5.2.2

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.2.2-1) unstable; urgency=medium

  * Upload to unstable now that the reverse dependencies are ready
  * Rename main branch to debian/latest (DEP-14)
  * Extend d/clean (handle vendor/)

 -- David Prévot <taffit@debian.org>  Sat, 19 Sep 2020 06:59:28 -0400

php-phpdocumentor-reflection-docblock (5.2.1-1) experimental; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Tue, 18 Aug 2020 08:57:13 -0400

php-phpdocumentor-reflection-docblock (5.2.0-1) experimental; urgency=medium

  * Set Rules-Requires-Root: no.
  * Homemade autoload.php for tests
  * Use debhelper-compat 13

 -- David Prévot <taffit@debian.org>  Thu, 30 Jul 2020 13:03:07 +0200

php-phpdocumentor-reflection-docblock (5.1.0-1) experimental; urgency=medium

  [ Pol Dellaiera ]
  * PHP 7.4 fix - Ensure the existence of the 'args' key.

  [ Remi Collet ]
  * don't rely on 'args' in trace, not available in 7.4

  [ David Prévot ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- David Prévot <taffit@debian.org>  Thu, 05 Mar 2020 08:09:00 -1000

php-phpdocumentor-reflection-docblock (5.0.0-1) experimental; urgency=medium

  [ Jaapio ]
  * Handle tag specialization correctly

 -- David Prévot <taffit@debian.org>  Sun, 09 Feb 2020 07:37:54 -1000

php-phpdocumentor-reflection-docblock (5.0.0~beta-1) experimental; urgency=medium

  [ Jaapio ]
  * Fix issue when processing invalid tags
  * Fix serialization issue of InvalidTag
  * Return invalid tag when factory returned null

  [ David Prévot ]
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Sat, 08 Feb 2020 15:52:04 -1000

php-phpdocumentor-reflection-docblock (5.0.0~alpha7-1) experimental; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Thu, 02 Jan 2020 09:16:47 +1100

php-phpdocumentor-reflection-docblock (5.0.0~alpha6-1) experimental; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit
  * Update standards version to 4.4.1, no changes needed.
  * d/control: Drop versioned dependency satisfied in (old)stable
  * Adapt packaging to new upstream Makefile

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2019 08:10:18 +1100

php-phpdocumentor-reflection-docblock (5.0.0~alpha5-1) experimental; urgency=medium

  * Document gbp import-ref usage
  * Revert "Drop examples not provided upstream anymore"
  * Adapt packaging to restored tests
  * Use https in debian/
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Drop get-orig-source target

 -- David Prévot <taffit@debian.org>  Sun, 30 Jun 2019 21:50:17 -1000

php-phpdocumentor-reflection-docblock (5.0.0~alpha3-1) experimental; urgency=medium

  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Wed, 20 Jun 2018 14:52:04 -1000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                php-mockery,
                php-phpdocumentor-type-resolver,
                php-webmozart-assert,
                phpab,
                phpunit,
                pkg-php-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://phpdoc.org/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git -b v4
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock
+Rules-Requires-Root: no
 
 Package: php-phpdocumentor-reflection-docblock
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab \
		--template debian/autoload.php.tpl \
		--output src/DocBlock/autoload.php \
		--basedir src/DocBlock src
	# Mimic path for tests
	mkdir --parents phpDocumentor/Reflection vendor
	ln -s ../../src/DocBlock phpDocumentor/Reflection
	phpab \
		--template debian/autoload.php.tests.tpl \
		--output vendor/autoload.php \
		tests/unit

override_dh_auto_test:
	phpunit

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -t debian/autoload.php.tests.tpl -o vendor/autoload.php tests/unit && phpunit
Depends: php-mockery, phpab, phpunit, @

## php-phpdocumentor-reflection-docblock 5.3.0

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 .PHONY: psalm
 psalm:
-	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.2 tools/psalm
+	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.3 vendor/bin/psalm.phar
 
 .PHONY: test
 test:

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.3.0-1) unstable; urgency=medium

  * Simplify gbp import-orig
  * Update standards version to 4.6.0, no changes needed.
  * Update watch file format version to 4.
  * Generate phpabtpl at build time
  * Install dh-sequence-* instead of using dh --with

 -- David Prévot <taffit@debian.org>  Sat, 30 Oct 2021 16:51:04 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
                php-mockery,
                php-phpdocumentor-type-resolver,
                php-webmozart-assert,
                phpab,
                phpunit,
-               pkg-php-tools
-Standards-Version: 4.5.0
+               pkg-php-tools (>= 1.41~)
+Standards-Version: 4.6.0
 Homepage: https://phpdoc.org/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with phpcomposer
+	dh $@
 
 override_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--template debian/autoload.php.tpl \
 		--output src/DocBlock/autoload.php \
@@ -10,6 +11,10 @@
 	# Mimic path for tests
 	mkdir --parents phpDocumentor/Reflection vendor
 	ln -s ../../src/DocBlock phpDocumentor/Reflection
+	phpabtpl \
+		--require phpdocumentor/reflection-docblock \
+		--require mockery/mockery \
+		> debian/autoload.php.tests.tpl
 	phpab \
 		--template debian/autoload.php.tests.tpl \
 		--output vendor/autoload.php \

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Test-Command: mkdir -p vendor && phpabtpl --require phpdocumentor/reflection-docblock --require mockery/mockery > debian/autoload.php.tests.tpl && phpab -t debian/autoload.php.tests.tpl -o vendor/autoload.php tests/unit && phpunit
Depends: php-mockery, phpab, phpunit, pkg-php-tools, @

## php-phpdocumentor-reflection-docblock 5.4.0

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.4.0-2) unstable; urgency=medium

  * Allow stderr in debci

 -- David Prévot <taffit@debian.org>  Tue, 16 Apr 2024 07:39:31 +0200

php-phpdocumentor-reflection-docblock (5.4.0-1) unstable; urgency=medium

  [ Jaapio ]
  * Introduce a Simple implementation of the TagFactory interface
  * Fix some php8+ issues

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Adapt packaging to new dependencies

 -- David Prévot <taffit@debian.org>  Sun, 14 Apr 2024 08:57:55 +0200

php-phpdocumentor-reflection-docblock (5.3.0-2) unstable; urgency=medium

  * Mark package as Multi-Arch: foreign
  * Update standards version to 4.6.2
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Thu, 07 Mar 2024 13:16:53 +0100

## php-phpdocumentor-reflection-docblock 5.4.1

=== Makefile ===
.PHONY: help
help: ## Displays this list of targets with descriptions
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[32m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: code-style
code-style:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpcs-ga:latest -d memory_limit=1024M -s

.PHONY: fix-code-style
fix-code-style:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpcs-ga:latest phpcbf

.PHONY: static-code-analysis
static-code-analysis: vendor ## Runs a static code analysis with phpstan/phpstan and vimeo/psalm
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/phpstan --configuration=phpstan.neon
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/psalm

.PHONY: test
test: test-unit ## Runs all test suites with phpunit/phpunit
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/phpunit

.PHONY: test-unit
test-unit: ## Runs unit tests with phpunit/phpunit
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/phpunit --testsuite=unit

.PHONY: dependency-analysis
dependency-analysis: vendor ## Runs a dependency analysis with maglnet/composer-require-checker
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 .phive/composer-require-checker check --config-file=/opt/project/composer-require-checker.json

vendor: composer.json composer.lock
	composer validate --no-check-publish
	composer install --no-interaction --no-progress

.PHONY: benchmark
benchmark:
	docker run -it --rm -v${CURDIR}:/opt/project -w /opt/project php:7.4-cli tools/phpbench run

.PHONY: rector
rector: ## Refactor code using rector
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/rector process

.PHONY: pre-commit-test
pre-commit-test: fix-code-style test code-style static-code-analysis

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.4.1-1) unstable; urgency=medium

  [ Jaapio ]
  * Bugfix: resolve issue with multiline descriptions
  * Fix docblock tag descriptions

 -- David Prévot <taffit@debian.org>  Fri, 24 May 2024 07:44:03 +0200

php-phpdocumentor-reflection-docblock (5.4.0-3) unstable; urgency=medium

  * Make provider functions static (PHPUnit 11 Fix) (Closes: #1070587)

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 20:19:31 +0200

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpab \
		--template debian/autoload.php.tpl \
		--output src/DocBlock/autoload.php \
		--basedir src/DocBlock src
	# Mimic path for tests
	mkdir --parents phpDocumentor/Reflection vendor
	ln -s ../../src/DocBlock phpDocumentor/Reflection
	phpab \
		--template debian/autoload.php.tests.tpl \
		--output vendor/autoload.php \
		tests/unit

override_dh_auto_test:
	phpunit

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

=== debian/tests/control ===
Restrictions: rw-build-tree allow-stderr
Test-Command: mkdir -p vendor && phpab -t debian/autoload.php.tests.tpl -o vendor/autoload.php tests/unit && phpunit
Depends: php-mockery, phpab, phpunit, @

## php-phpdocumentor-reflection-docblock 5.6.1

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.6.1-4) unstable; urgency=medium

  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 18:34:25 +0100

php-phpdocumentor-reflection-docblock (5.6.1-3) unstable; urgency=medium

  * Revert "Force system dependencies loading"
  * Group noparser2 for test currently failing with php-phpstan-phpdoc-parser 2

 -- David Prévot <taffit@debian.org>  Sat, 18 Jan 2025 10:53:43 +0100

php-phpdocumentor-reflection-docblock (5.6.1-2) unstable; urgency=medium

  * Mark another Provider as static

 -- David Prévot <taffit@debian.org>  Mon, 30 Dec 2024 16:48:35 +0100

php-phpdocumentor-reflection-docblock (5.6.1-1) unstable; urgency=medium

  [ Jaapio ]
  * Fix compatibility issue with phpstan 2.0 parser

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 09:15:10 +0100

php-phpdocumentor-reflection-docblock (5.6.0-1) unstable; urgency=medium

  [ AhJ ]
  * Add mixin tag
  * Add Template tag
  * Add Extends tags
  * Add Implements tags
  * Add TemplateCovariant tag

  [ Christian Flothmann ]
  * add support for phpstan/phpdoc-parser 2

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2024 15:12:13 +0100

php-phpdocumentor-reflection-docblock (5.4.1-2) unstable; urgency=medium

  * Drop TestListener

 -- David Prévot <taffit@debian.org>  Tue, 22 Oct 2024 13:42:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,22 @@
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
+               php-doctrine-deprecations,
                php-mockery,
+               php-phpdocumentor-reflection-docblock <!nocheck>,
                php-phpdocumentor-type-resolver,
+               php-phpstan-phpdoc-parser,
                php-webmozart-assert,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
+               phpunit
+Standards-Version: 4.7.0
 Homepage: https://phpdoc.org/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock
 Rules-Requires-Root: no
 
 Package: php-phpdocumentor-reflection-docblock
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Recommends: ${phpcomposer:Debian-recommend}

## php-phpdocumentor-reflection-docblock 5.6.2

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.6.2-1) unstable; urgency=medium

  [ Jaapio ]
  * Fix issue with tag description end detection.

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Tue, 15 Apr 2025 08:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                php-webmozart-assert,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://phpdoc.org/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock

## php-phpdocumentor-reflection-docblock 5.6.3

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 .PHONY: static-code-analysis
 static-code-analysis: vendor ## Runs a static code analysis with phpstan/phpstan and vimeo/psalm
-	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/phpstan --configuration=phpstan.neon
-	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/psalm
+	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/phpstan --configuration=phpstan.neon --memory-limit=1024M
+	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.4 vendor/bin/psalm.phar
 
 .PHONY: test
 test: test-unit ## Runs all test suites with phpunit/phpunit

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.6.3-1) unstable; urgency=medium

  [ Worma ]
  * setAccessible() does not have any effect as of PHP 8.1

  [ David Prévot ]
  * debian/control: Document nocheck flag
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Thu, 21 Aug 2025 07:57:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                php-doctrine-deprecations,
-               php-mockery,
+               php-mockery <!nocheck>,
                php-phpdocumentor-reflection-docblock <!nocheck>,
                php-phpdocumentor-type-resolver,
                php-phpstan-phpdoc-parser,
                php-webmozart-assert,
                phpab,
-               phpunit
+               phpunit <!nocheck>
 Standards-Version: 4.7.2
 Homepage: https://phpdoc.org/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock
-Rules-Requires-Root: no
 
 Package: php-phpdocumentor-reflection-docblock
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--template debian/autoload.php.tpl \
		--output src/DocBlock/autoload.php \
		--basedir src/DocBlock src
	# Mimic path for tests
	mkdir --parents vendor
	phpabtpl \
		--require-file ../src/DocBlock/autoload.php \
		--require mockery/mockery \
		> debian/autoload.php.tests.tpl
	phpab \
		--template debian/autoload.php.tests.tpl \
		--output vendor/autoload.php \
		tests/unit

override_dh_auto_test:
	phpunit --exclude-group noparser2

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

=== debian/tests/control ===
Restrictions: rw-build-tree allow-stderr
Test-Command: mkdir -p vendor && phpabtpl --require phpdocumentor/reflection-docblock --require mockery/mockery > debian/autoload.php.tests.tpl && phpab -t debian/autoload.php.tests.tpl -o vendor/autoload.php tests/unit && phpunit --exclude-group noparser2
Depends: php-mockery, phpab, phpunit, pkg-php-tools, @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/phpDocumentor/ReflectionDocBlock \
refs/tags/v?(\d.+)

## php-phpdocumentor-reflection-docblock 5.6.4

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.6.4-2) unstable; urgency=medium

  * Drop data set causing failure with latest php-phpdocumentor-type-resolver

 -- David Prévot <taffit@debian.org>  Mon, 24 Nov 2025 07:59:56 +0100

php-phpdocumentor-reflection-docblock (5.6.4-1) unstable; urgency=medium

  [ Jaapio ]
  * Fix code style issue

 -- David Prévot <taffit@debian.org>  Fri, 21 Nov 2025 09:06:00 +0100

## php-phpdocumentor-reflection-docblock 5.6.5

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.6.5-1) unstable; urgency=medium

  [ Stefan Bürk ]
  * [BUGFIX] Mitigate "Using null as an array offset is deprecated"

  [ Jaapio ]
  * Remove outdated test

 -- David Prévot <taffit@debian.org>  Mon, 01 Dec 2025 08:57:30 +0100

## php-phpdocumentor-reflection-docblock 5.6.6

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (5.6.6-1) unstable; urgency=medium

  [ Simon Podlipsky ]
  * chore(deps): allow webmozart/assert v2

  [ David Prévot ]
  * Revert "Group noparser2 for test currently failing with
    php-phpstan-phpdoc-parser 2"
  * Update Standards-Version to 4.7.3
  * Convert d/watch to version 5

 -- David Prévot <taffit@debian.org>  Fri, 26 Dec 2025 20:56:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: php-phpdocumentor-reflection-docblock
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
@@ -14,7 +13,7 @@
                php-webmozart-assert,
                phpab,
                phpunit <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://phpdoc.org/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-docblock

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		tests/unit
 
 override_dh_auto_test:
-	phpunit --exclude-group noparser2
+	phpunit
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

=== debian/tests/control ===
Restrictions: rw-build-tree allow-stderr
Test-Command: mkdir -p vendor && phpabtpl --require phpdocumentor/reflection-docblock --require mockery/mockery > debian/autoload.php.tests.tpl && phpab -t debian/autoload.php.tests.tpl -o vendor/autoload.php tests/unit && phpunit
Depends: php-mockery, phpab, phpunit, pkg-php-tools, @

=== debian/watch ===
Version: 5

Source: https://github.com/phpDocumentor/ReflectionDocBlock
Matching-Pattern: refs/tags/v?(\d.+)
Gitexport: all
Gitmode: full
Mode: git
Uversionmangle: s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/

## php-phpdocumentor-reflection-docblock 6.0.0

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (6.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Jaapio ]
  * Remove deprecated arguments
  * Add docs

  [ Максим Спирков ]
  * Bump `phpdocumentor/type-resolver` from 2.x-dev to 2.0

  [ David Prévot ]
  * Build-Depend on php-phpdocumentor-type-resolver (>= 2)
  * Don’t use test coverage

 -- David Prévot <taffit@debian.org>  Sat, 10 Jan 2026 07:00:18 +0100

## php-phpdocumentor-reflection-docblock 6.0.1

=== Makefile ===
--- 
+++ 
@@ -41,3 +41,7 @@
 
 .PHONY: pre-commit-test
 pre-commit-test: fix-code-style test code-style static-code-analysis
+
+.PHONY: docs
+docs: ## Generate documentation with phpDocumentor
+	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpdoc:3

=== debian/changelog ===
php-phpdocumentor-reflection-docblock (6.0.1-1) experimental; urgency=medium

  [ Christophe Coevoet ]
  * Fix the markup of the upgrade documentation
  * Register 'mixin' tag handler in StandardTagFactory

  [ Максим Спирков ]
  * Fix the creation of tags with types in `StandardTagFactory`

 -- David Prévot <taffit@debian.org>  Tue, 20 Jan 2026 17:53:34 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
                dh-sequence-phpcomposer,
                php-doctrine-deprecations,
                php-mockery <!nocheck>,
-               php-phpdocumentor-reflection-docblock <!nocheck>,
-               php-phpdocumentor-type-resolver,
+               php-phpdocumentor-type-resolver (>= 2),
                php-phpstan-phpdoc-parser,
                php-webmozart-assert,
                phpab,

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		tests/unit
 
 override_dh_auto_test:
-	phpunit
+	phpunit --no-coverage
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

=== debian/tests/control ===
Restrictions: rw-build-tree allow-stderr
Test-Command: mkdir -p vendor && phpabtpl --require phpdocumentor/reflection-docblock --require mockery/mockery > debian/autoload.php.tests.tpl && phpab -t debian/autoload.php.tests.tpl -o vendor/autoload.php tests/unit && phpunit --no-coverage
Depends: php-mockery, phpab, phpunit, pkg-php-tools, @
